%define		ver	2024-01-13
Summary:	QuickJS Javascript Engine
Summary(pl.UTF-8):	Silnik Javascriptu QuickJS
Name:		quickjs
Version:	20240113
Release:	1
License:	MIT
Group:		Libraries
Source0:	https://bellard.org/quickjs/%{name}-%{ver}.tar.xz
# Source0-md5:	ea9fa8c503c4125dff9fd42c38b891d0
Patch0:		rpmpldcflags.patch
URL:		https://bellard.org/quickjs/
%ifnarch %arch_with_atomics64
BuildRequires:	libatomic-devel
%endif
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 2.025
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
QuickJS is a small and embeddable Javascript engine. It supports the
ES2020 specification including modules, asynchronous generators,
proxies and BigInt. It supports mathematical extensions such as big
decimal float float numbers (BigDecimal), big binary floating point
numbers (BigFloat), and operator overloading.

%description -l pl.UTF-8
QuickJS jest małym osadzalnym silnikiem Javascriptu. Wspiera
specyfikację ES2020, w tym moduły, asynchroniczne generatory, proxy i
BigInt. Wspiera też rozszerzenia matematyczne, takie jak liczby
BigDecimal, BigFloat i przeciążenia operatorów.

%package devel
Summary:	Header files for QuickJS library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki QuickJS
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for QuickJS library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki QuickJS.

%prep
%setup -q -n %{name}-%{ver}
%patch0 -p1

%build
%{__make} \
	CC="%{__cc}" \
	RPMPLDCFLAGS="%{rpmcflags} %{rpmcppflags}" \
	LDFLAGS="%{rpmldflags} %{rpmcflags}" \
%ifnarch %arch_with_atomics64
	EXTRA_LIBS="-latomic" \
%endif
	PREFIX="%{_prefix}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	STRIP=true \
	PREFIX="%{_prefix}"

%if "%{_lib}" != "lib"
%{__mv} $RPM_BUILD_ROOT{%{_prefix}/lib,%{_libdir}}/%{name}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/qjs
%attr(755,root,root) %{_bindir}/qjsc
%attr(755,root,root) %{_bindir}/qjscalc

%files devel
%defattr(644,root,root,755)
%doc doc/*.html
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/libquickjs.a
%{_libdir}/%{name}/libquickjs.lto.a
%{_includedir}/%{name}
%changelog
* Wed Nov 06 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/quickjs.git;a=log;h=master

* Mon Oct 07 2024 Witold Filipczyk <witekfl@poczta.onet.pl> d002207
- updated to 2024-01-13

* Tue Dec 26 2023 Jan Palus <atler@pld-linux.org> 3e1e79d
- link libatomic on archs without support for 64-bit atomics

* Tue Dec 26 2023 Jan Palus <atler@pld-linux.org> dbaa9c0
- up to 20231209

* Tue Dec 26 2023 Jan Palus <atler@pld-linux.org> e60bada
- BRs for tar.xz source

* Sun Feb 20 2022 Jakub Bogusz <qboosh@pld-linux.org> f720350
- no //

* Sun Feb 20 2022 Jan Rękorajski <baggins@pld-linux.org> 6b9d82c
- don't move libdir if libdir is lib (ex. ix86), rel 4

* Sun Feb 20 2022 Jan Rękorajski <baggins@pld-linux.org> 3804968
- static libs belong to devel and arch dependent libdir, rel 3

* Sat Feb 19 2022 Jakub Bogusz <qboosh@pld-linux.org> 00dc7a3
- use debug optflags also in LDFLAGS, fixes debug packages creation

* Fri Feb 18 2022 Jakub Bogusz <qboosh@pld-linux.org> 4fa31f2
- cleanups, disable stripping

* Fri Feb 18 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 12b6202
- adapterize

* Sat Dec 25 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 0715a3e
- added patch
- rel 2

* Sat Oct 09 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 503cd90
- new
- only static libraries are packaged

